# listdef/picture.ld
$data = {
	title			=> 'Pictures',
	template		=> { frame => 'list_standard.tt2' },
	helperclasses	=> [ 'App::ListPicture' ],
	view			=> { pagesize => 4, autorun => 1 },
	datasource	=> { type => 'table', table => 'picture' },
	cols			=> [ qw/
	  id
	  thumbnail
	  description
	  status
		/],
	cols2			=> [ qw/
		/],
	colscalc		=> { 'thumbnail' => 'picture_thumbnail' }, # calculate columns # column name => method name
	colsinfo		=> [],
	colsinfo2	=> [], # arrayref of [ name, { method => 'meth_name' } ]
	colsupdate => { description => 1 },
	initmethods	=> [],
	initsearch	=> [], # type sf|if|blank, field name, value
	orderdefault =>{ col => 'id', dir => 'DESC' },
	ordernone	 =>{},
	orderspecial =>{},
	search		=> [ qw/
		/],
#		status
#		month
	search2		=> [],
	searchcalc	=> { # fields from search or search2 requiring special search handling # field name => method name
		'description'		=> 'search_substr',
		},
	searchextra	=> [], # method names for extra searches and joins
	searchtext	=> [],	
};
