-- phpMyAdmin SQL Dump
-- version 2.9.1.1
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Jan 04, 2007 at 05:39 PM
-- Server version: 4.1.20
-- PHP Version: 4.3.9
-- 
-- Database: `app`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `access_log`
-- 

CREATE TABLE `access_log` (
  `id` int(11) NOT NULL auto_increment,
  `session_id` varchar(32) collate utf8_unicode_ci NOT NULL default '',
  `user_id` int(11) NOT NULL default '0',
  `login` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `remote_addr` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `access_dt` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `path_info` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `query_string` text collate utf8_unicode_ci,
  `postdata` text collate utf8_unicode_ci,
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`),
  KEY `session_id` (`session_id`),
  KEY `access_dt` (`access_dt`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `datadict`
-- 

CREATE TABLE `datadict` (
  `id` int(11) NOT NULL auto_increment,
  `screen` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `table` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `field` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `field_type` enum('int','char','date','coderef') collate utf8_unicode_ci NOT NULL default 'int',
  `label` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `url` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `input` enum('default','input','select','select_yesno','readonly','password') collate utf8_unicode_ci NOT NULL default 'default',
  `select_choices` text collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=23 ;

-- 
-- Dumping data for table `datadict`
-- 

INSERT INTO `datadict` (`id`, `screen`, `table`, `field`, `field_type`, `label`, `url`, `input`, `select_choices`) VALUES 
(1, '', 'user', 'id', 'int', 'ID', '', 'readonly', ''),
(2, '', 'user', 'login', 'char', 'Login/Email', '', 'default', ''),
(3, '', '', 'location', 'char', 'Location', '', 'default', ''),
(4, '', '', 'name', 'char', 'Name', '', 'default', ''),
(5, '', 'user', 'password', 'char', 'Password', '', 'password', ''),
(6, '', 'user', 'is_admin', 'char', 'Admin?', '', 'select_yesno', ''),
(11, '', 'picture', 'id', 'int', 'ID', '', 'readonly', ''),
(12, '', 'picture', 'description', 'char', 'Description', '', 'default', ''),
(15, '', 'picture', 'status', 'char', 'Status', '', 'select', 'initial;accepted;rejected'),
(16, '', 'faq', 'question', 'char', 'Question', '', 'default', ''),
(17, '', 'faq', 'answer', 'char', 'Answer', '', 'default', ''),
(18, '', '', 'create_dt', 'date', 'Create Dt', '', 'default', ''),
(19, '', 'faq', 'id', 'int', 'ID', 'faq/edit/%d', 'default', ''),
(20, '', '', 'id', 'int', 'ID', '', 'readonly', ''),
(21, '', 'picture', 'thumbnail', 'coderef', 'Thumbnail', '', 'default', ''),
(22, '', 'user', 'email_optout', 'char', 'Email Opt-out?', '', 'select_yesno', '');

-- --------------------------------------------------------

-- 
-- Table structure for table `faq`
-- 

CREATE TABLE `faq` (
  `id` int(11) NOT NULL auto_increment,
  `question` text collate utf8_unicode_ci NOT NULL,
  `answer` text collate utf8_unicode_ci NOT NULL,
  `create_dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `location` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `name` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9 ;

-- 
-- Dumping data for table `faq`
-- 

INSERT INTO `faq` (`id`, `question`, `answer`, `create_dt`, `location`, `name`) VALUES 
(1, 'q1', 'a1', '0000-00-00 00:00:00', 'MK', 'Pete'),
(2, 'q2', 'a2', '0000-00-00 00:00:00', 'M', 'Pete'),
(6, 'q6', 'a6', '0000-00-00 00:00:00', 'l', 'n'),
(7, 'q6', 'a6', '0000-00-00 00:00:00', 'l', 'n'),
(8, 'q7', 'a7', '2007-01-03 09:35:25', 'l', 'n');

-- --------------------------------------------------------

-- 
-- Table structure for table `faq_asked`
-- 

CREATE TABLE `faq_asked` (
  `id` int(11) NOT NULL auto_increment,
  `question` text collate utf8_unicode_ci NOT NULL,
  `login` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `name` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `location` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `update_dt` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `mail_log`
-- 

CREATE TABLE `mail_log` (
  `id` int(11) NOT NULL auto_increment,
  `mail_to` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mail_from` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `sent_dt` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `subject` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `body` text collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `picture`
-- 

CREATE TABLE `picture` (
  `id` int(11) NOT NULL auto_increment,
  `description` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `status` enum('initial','accepted','rejected') collate utf8_unicode_ci NOT NULL default 'initial',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `picture`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `sessions`
-- 

CREATE TABLE `sessions` (
  `id` varchar(32) collate utf8_unicode_ci NOT NULL default '',
  `a_session` text collate utf8_unicode_ci NOT NULL,
  `mtime` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Session';

-- 
-- Dumping data for table `sessions`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `user`
-- 

CREATE TABLE `user` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `name` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `password` varchar(32) collate utf8_unicode_ci NOT NULL default '',
  `email_optout` enum('no','yes') collate utf8_unicode_ci NOT NULL default 'no',
  `is_admin` enum('no','yes') collate utf8_unicode_ci NOT NULL default 'no',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `login` (`login`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `user`
-- 

INSERT INTO `user` (`id`, `login`, `name`, `password`, `email_optout`, `is_admin`) VALUES 
(1, 'admin', 'Administrator', '21232f297a57a5a743894a0e4a801fc3', 'no', 'yes'), -- admin / admin
(2, 'user@somedomain.com', 'A User', 'ee11cbb19052e40b07aac0ca060c23ee', 'no', 'yes'); -- user / user

-- --------------------------------------------------------
