package App::ListUser;

use strict;
use warnings;

use Carp;
use Data::Dumper;
use Template;

use vars qw(%c $session $cgi);
*c = \*app::c;
*session = \$app::session;
*cgi = \$app::cgi;

sub init_search
{
	my $this = shift;

	if ( $this->{firstrun} )
	{
		# set up initial search field values
		for ( @{$this->{listdef}->{initsearch}} )
		{
			$this->fv($_->[0], $_->[1], $_->[2]);
		}
	}
}



1;
__END__

=head1 NAME

App::ListUser

=head1 DESCRIPTION

List of user

=head1 AUTHOR

Peter Edwards of Dragonstaff Limited <peter@dragonstaff.co.uk>

=head1 COPYRIGHT

Copyright (c) 2007 Dragonstaff Limited.

All rights reserved.

=cut

